Host Cache Configuration Manager Configure Host Cache Task

Host Cache Configuration Manager Configure Host Cache Task
Configure host cache/swap performance enhancement.

Configure host cache/swap performance enhancement.

Required privileges: Host.Config.AdvancedConfig

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostCacheConfigurationManager/{moId}/ConfigureHostCache_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostCacheConfigurationManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ConfigureHostCacheRequestType of type(s) application/json
Required

Show optional properties

{
    "spec": {}
}
{
    "spec": {
        "_typeName": "string",
        "datastore": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "swapSize": 0
    }
}
spec
Required

Specification for solid state drive cache configuration.

Authentication
This operation uses the following authentication methods.
Responses
200

This method returns a Task object with which to monitor the operation.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"spec":"{}"}' https://{api_host}/sdk/vim25/{release}/HostCacheConfigurationManager/{moId}/ConfigureHostCache_Task